# 2025-06-04: Cart Service - auto populate product details

## Overview

A new tenant configuration option `populateProductDetailsOnAddToCart` has been added to the Cart Service. When enabled, the cart service will populate product details on the cart item:

* id
* sku
* code
* productType
* name
* localizedName
* description
* images Using information from productService. The data will be populated only if there is no product object passed in the add to cart request.

## Modified endpoints

| Endpoint                                                                                                                                                                    | Description                                                                  |
| --------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------- |
| [Adding a product to cart](https://developer.emporix.io/api-references/api-guides/checkout/cart/api-reference/cart-items#post-cart-tenant-carts-cartid-items)               | New attributes `localizedName` and `code` added to the product object        |
| [Updating a cart item](https://developer.emporix.io/api-references/api-guides/checkout/cart/api-reference/cart-items#put-cart-tenant-carts-cartid-items-itemid)             | New attributes `localizedName` and `code` added to the product object        |
| [Retrieving all products added to a cart](https://developer.emporix.io/api-references/api-guides/checkout/cart/api-reference/cart-items#get-cart-tenant-carts-cartid-items) | New attributes `localizedName` and `code` added to the product object        |
| [Retrieving cart details by ID](https://developer.emporix.io/api-references/api-guides/checkout/cart/api-reference/carts#get-cart-tenant-carts-cartid)                      | New attributes `localizedName` and `code` added to the item's product object |
| [Retrieving cart details by criteria](https://developer.emporix.io/api-references/api-guides/checkout/cart/api-reference/carts#get-cart-tenant-carts)                       | New attributes `localizedName` and `code` added to the item's product object |

## Known problems

There are no known problems.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.emporix.io/changelog/archive/changelog-2025/2025-06-04-cart.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
